Package: python-sure / 1.2.5-3

Metadata

Package Version Patches format
python-sure 1.2.5-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
adds support for python 3.2.patch | (download)

sure/__init__.py | 60 30 + 30 - 0 !
sure/core.py | 14 7 + 7 - 0 !
sure/old.py | 20 10 + 10 - 0 !
tests/test_assertion_builder.py | 64 32 + 32 - 0 !
tests/test_old_api.py | 48 24 + 24 - 0 !
tests/test_safe_repr.py | 12 6 + 6 - 0 !
tox.ini | 2 1 + 1 - 0 !
7 files changed, 110 insertions(+), 110 deletions(-)

 add support for python 3.2
 This patch adds support for Python 3.2.
removes embedded copy of six.patch | (download)

OLD_API.md | 2 1 + 1 - 0 !
requirements.txt | 1 1 + 0 - 0 !
spec/reference.md | 4 2 + 2 - 0 !
sure/__init__.py | 5 3 + 2 - 0 !
sure/compat_py3.py | 29 29 + 0 - 0 !
sure/core.py | 4 2 + 2 - 0 !
sure/old.py | 3 2 + 1 - 0 !
sure/six.py | 415 0 + 415 - 0 !
tests/test_assertion_builder.py | 3 2 + 1 - 0 !
tests/test_old_api.py | 14 8 + 6 - 0 !
tests/test_safe_repr.py | 4 3 + 1 - 0 !
11 files changed, 53 insertions(+), 431 deletions(-)

 remove the embedded copy of six.
Date: Wed, 2 Apr 2014 14:27:38 +0200
fix broken setup.py.patch | (download)

setup.py | 4 3 + 1 - 0 !
1 file changed, 3 insertions(+), 1 deletion(-)

 fixes broken setup.py
 The upstream setup.py didn't work with sure/__init__.py which has some
 UTF-8. The result is that without an UTF-8 local, setup.py install would
 just fail with the output:
 UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 143: ordinal not in range(128)
 This patch fixes that.
Fix_bug_in_callable_assertions_when_called_with_parameters.patch | (download)

sure/__init__.py | 10 5 + 5 - 0 !
tests/test_assertion_builder.py | 24 24 + 0 - 0 !
2 files changed, 29 insertions(+), 5 deletions(-)

 fix bug in callable assertions when called with parameters